# Test: Core agent can have module field
# Expected: PASS
# Note: Core agents can now include module field if needed

agent:
  metadata:
    id: core-with-module
    name: Core With Module
    title: Core Agent
    icon: ✅
    module: bmm
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: display_help
